#!/usr/bin/tcl

puts "Cheking receiver..."
set expected_board "TRIUMPH2_3" 
set board [send "print,/par/rcv/ver/board"]
if {[lindex $board 0] == "none"} {
	if {[lindex $board 1] == $expected_board} {
		puts [concat "Correct board: " [lindex $board 1]]
	} else {
		puts [concat "Board is: " [lindex $board 1] ", but script of " $expected_board]
	}
} else {	
	puts [concat "Error while read receiver board. Error code '" [lindex $board 0] "' " [lindex $board 1]]
	return 1
}

puts "Setup receiver configuration..."


puts "Setup General..."
set commands "
%/par/lock/elm% set,/par/lock/elm,-1
%/par/pos/elm% set,/par/pos/elm,5
%/par/ant/inp% set,/par/ant/inp,int
%/par/pwr/charge/bat% set,/par/pwr/charge/bat,auto
%/par/lpm% set,/par/lpm,on
%/par/power% set,/par/power,on
%/par/sleep% set,/par/sleep,off
"
puts [sendBlock $commands]

puts "Setup Log-files..."
set commands "
%/par/log/a/sc/period% set,/par/log/a/sc/period,1.00
%/par/out/elm/cur/file/a% set,/par/out/elm/cur/file/a,5
%/par/out/minsvs/cur/file/a% set,/par/out/minsvs/cur/file/a,0
%/par/cmd/create/pre/a% set,/par/cmd/create/pre/a,log
%/par/log/imp/0% set,/par/log/imp/0,y
%/par/log/b/sc/period% set,/par/log/b/sc/period,1.00
%/par/out/elm/cur/file/b% set,/par/out/elm/cur/file/b,5
%/par/out/minsvs/cur/file/b% set,/par/out/minsvs/cur/file/b,0
%/par/cmd/create/pre/b% set,/par/cmd/create/pre/b,log
%/par/log/imp/1% set,/par/log/imp/1,n
%/par/log/rot/mode% set,/par/log/rot/mode,off
%/par/log/rot/force% set,/par/log/rot/force,off
%/par/log/rot/rmold% set,/par/log/rot/rmold,off
%/par/log/rot/sc/count% set,/par/log/rot/sc/count,0
%/par/log/rot/sc/period% set,/par/log/rot/sc/period,3600
%/par/log/rot/sc/phase% set,/par/log/rot/sc/phase,0
%/par/out/logh/period% set,/par/out/logh/period,30.00
%/par/out/logh/stream% set,/par/out/logh/stream,/dev/null
%/par/button/dyn% set,/par/button/dyn,static
"
puts [sendBlock $commands]

puts "Setup TriPad..."
set commands "
%/par/button/rot% set,/par/button/rot,off
%/par/button/auto% set,/par/button/auto,off
%/par/button/action% set,/par/button/action,led
%/par/button/dyn% set,/par/button/dyn,static
"
puts [sendBlock $commands]

puts "Setup Positioning..."
set commands "
%/par/pos/mode/cur% set,/par/pos/mode/cur,sp
%/par/pos/mode/sp% set,/par/pos/mode/sp,on
%/par/pos/mode/cd% set,/par/pos/mode/cd,off
%/par/pos/mode/pf% set,/par/pos/mode/pf,on
%/par/pos/mode/wd% set,/par/pos/mode/wd,off
%/par/pos/elm% set,/par/pos/elm,5
%/par/pos/pdop% set,/par/pos/pdop,30.00
%/par/pos/sys% set,/par/pos/sys,{y,y,n,n,n,n}
%/par/lock/gps/sat% set,/par/lock/gps/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/gps/sat% set,/par/pos/gps/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/gps/health/check% set,/par/pos/gps/health/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/gps/ura/check% set,/par/pos/gps/ura/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/lock/gpsext/sat% set,/par/lock/gpsext/sat,{n,n,n,n,n}
%/par/pos/glo/sat% set,/par/pos/glo/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/glo/health/check% set,/par/pos/glo/health/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/glo/ura/check% set,/par/pos/glo/ura/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/lock/glo/fcn% set,/par/lock/glo/fcn,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,n,n,n,n,n,n}
%/par/pos/glo/fcn% set,/par/pos/glo/fcn,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,n,n,n,n,n,n}
%/par/lock/gal/sat% set,/par/lock/gal/sat,{n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n}
%/par/pos/gal/sat% set,/par/pos/gal/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/gal/health/check% set,/par/pos/gal/health/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/gal/ura/check% set,/par/pos/gal/ura/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/lock/sbas/sat% set,/par/lock/sbas/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/wd/sat% set,/par/pos/wd/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,n,n,n,n}
%/par/pos/sbas/sat% set,/par/pos/sbas/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/sbas/health/check% set,/par/pos/sbas/health/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/sbas/ura/check% set,/par/pos/sbas/ura/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/lock/qzss/sat% set,/par/lock/qzss/sat,{n,n,n,n,n}
%/par/pos/qzss/sat% set,/par/pos/qzss/sat,{y,y,y,y,y}
%/par/pos/qzss/health/check% set,/par/pos/qzss/health/check,{y,y,y,y,y}
%/par/pos/qzss/ura/check% set,/par/pos/qzss/ura/check,{y,y,y,y,y}
%/par/lock/comp/sat% set,/par/lock/comp/sat,{n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n,n}
%/par/pos/comp/sat% set,/par/pos/comp/sat,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/comp/health/check% set,/par/pos/comp/health/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/comp/ura/check% set,/par/pos/comp/ura/check,{y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y}
%/par/pos/sp/meas% set,/par/pos/sp/meas,ca
%/par/pos/sp/iono% set,/par/pos/sp/iono,on
%/par/pos/sp/tropo% set,/par/pos/sp/tropo,on
%/par/pos/raim/mode% set,/par/pos/raim/mode,on
%/par/pos/raim/al/mode% set,/par/pos/raim/al/mode,manual
%/par/pos/raim/al/manual% set,/par/pos/raim/al/manual,555.6
"
puts [sendBlock $commands]

puts "Setup Base..."
set commands "
%/par/ref/pos/gps/geo% set,/par/ref/pos//geo,{W84,N00d00m0.000000s,E000d00m0.000000s,0.0000}
%/par/ref/pos/gps/xyz% set,/par/ref/pos//xyz,{W84,+6378137.00000000,+0.00000000,+0.0000}
%/par/ref/arp/gps/geo% set,/par/ref/arp//geo,{W84,N00d00m0.000000s,E000d00m0.000000s,0.0000}
%/par/ref/arp/gps/xyz% set,/par/ref/arp//xyz,{W84,+6378137.00000000,+0.00000000,+0.0000}
%/par/ref/avg/mode% set,/par/ref/avg/mode,off
%/par/ref/avg/span% set,/par/ref/avg/span,180
%/par/ref/ant/setup% set,/par/ref/ant/setup,0
%/par/ref/ant/l2_l1/east% set,/par/ref/ant/l2_l1/east,0.0000
%/par/ref/ant/l2_l1/height% set,/par/ref/ant/l2_l1/height,0.0000
%/par/ref/ant/l2_l1/north% set,/par/ref/ant/l2_l1/north,0.0000
%/par/rtcm/base/stid% set,/par/rtcm/base/stid,0
%/par/rtcm/base/meas/ca% set,/par/rtcm/base/meas/ca,on
%/par/rtcm/base/meas/p1% set,/par/rtcm/base/meas/p1,off
%/par/rtcm/base/meas/p2% set,/par/rtcm/base/meas/p2,on
%/par/rtcm/base/svm% set,/par/rtcm/base/svm,0
%/par/rtcm/base/sys% set,/par/rtcm/base/sys,{on,on}
%/par/rtcm/base/health% set,/par/rtcm/base/health,good
%/par/rtcm/base/smooth% set,/par/rtcm/base/smooth,off
%/par/rtcm3/base/stid% set,/par/rtcm3/base/stid,0
%/par/cmr/base/stid% set,/par/cmr/base/stid,0
%/par/cmr/base/motion% set,/par/cmr/base/motion,unknown
%/par/cmr/base/glo/type% set,/par/cmr/base/glo/type,3
%/par/cmr/base/pcode% set,/par/cmr/base/pcode,off
%/par/cmr/base/desc% set,/par/cmr/base/desc,{\"\",\"\",\"\"}
"
puts [sendBlock $commands]

puts "Setup Rover..."
set commands "
%/par/pos/cd/src/mode% set,/par/pos/cd/src/mode,nearest
%/par/pos/cd/maxage% set,/par/pos/cd/maxage,30
%/par/pos/cd/iono/maxage% set,/par/pos/cd/iono/maxage,300
%/par/pos/cd/ionofree% set,/par/pos/cd/ionofree,off
%/par/pos/cd/src/usersrc% set,/par/pos/cd/src/usersrc,0
%/par/pos/cd/port% set,/par/pos/cd/port,any
%/par/pos/pd/mode% set,/par/pos/pd/mode,delay
%/par/pos/pd/delay% set,/par/pos/pd/delay,last
%/par/pos/pd/dyn% set,/par/pos/pd/dyn,1.0000
%/par/pos/pd/aflevel% set,/par/pos/pd/aflevel,medium
%/par/pos/pd/meas/ca% set,/par/pos/pd/meas/ca,on
%/par/pos/pd/meas/p1% set,/par/pos/pd/meas/p1,on
%/par/pos/pd/meas/p2% set,/par/pos/pd/meas/p2,on
%/par/pos/pd/meas/c2% set,/par/pos/pd/meas/c2,on
%/par/pos/pd/period% set,/par/pos/pd/period,1.00
%/par/pos/pd/env% set,/par/pos/pd/env,open
%/par/pos/pd/vrs% set,/par/pos/pd/vrs,off
%/par/pos/pd/multirtk% set,/par/pos/pd/multirtk,off
%/par/pos/pd/mrtk% set,/par/pos/pd/mrtk,{y,y,y,y}
%/par/raw/msint% set,/par/raw/msint,100
"
puts [sendBlock $commands]

puts "Setup Serial..."
set commands "
%/par/dev/ser/a/imode% set,/par/dev/ser/a/imode,cmd
%dm,dev/ser/a% dm,dev/ser/a
%/par/dev/ser/a/rate% set,/par/dev/ser/a/rate,1500000
%/par/dev/ser/a/rtscts% set,/par/dev/ser/a/rtscts,on
%/par/dev/ser/b/imode% set,/par/dev/ser/b/imode,cmd
%dm,dev/ser/b% dm,dev/ser/b
%/par/dev/ser/b/rate% set,/par/dev/ser/b/rate,115200
%/par/dev/ser/b/rtscts% set,/par/dev/ser/b/rtscts,off
"
puts [sendBlock $commands]

puts "Setup Bluetooth..."
set commands "
%/par/dev/blt/a/imode% set,/par/dev/blt/a/imode,cmd
%dm,dev/blt/a% dm,dev/blt/a
%/par/dev/blt/a/chan/addr% set,/par/dev/blt/a/chan/addr,000000000000
%/par/dev/blt/b/imode% set,/par/dev/blt/b/imode,cmd
%dm,dev/blt/b% dm,dev/blt/b
%/par/dev/blt/b/chan/addr% set,/par/dev/blt/b/chan/addr,0018D7004F29
%/par/dev/ser/b/imode% set,/par/dev/ser/b/imode,cmd
%dm,dev/ser/b% dm,dev/ser/b
"
puts [sendBlock $commands]

puts "Setup TCP..."
set commands "
%/par/dev/tcp/a/imode% set,/par/dev/tcp/a/imode,cmd
%/par/dev/tcp/b/imode% set,/par/dev/tcp/b/imode,cmd
%/par/dev/tcp/c/imode% set,/par/dev/tcp/c/imode,cmd
%/par/dev/tcp/d/imode% set,/par/dev/tcp/d/imode,cmd
%dm,dev/tcp/d% dm,dev/tcp/d
%/par/dev/tcp/e/imode% set,/par/dev/tcp/e/imode,cmd
%dm,dev/tcp/e% dm,dev/tcp/e
%/par/dev/tcpcl/a/imode% set,/par/dev/tcpcl/a/imode,cmd
%dm,dev/tcpcl/a% dm,dev/tcpcl/a
"
puts [sendBlock $commands]

puts "Setup TCPO..."
set commands "
%dm,dev/tcpo/a% dm,dev/tcpo/a
%dm,dev/tcpo/b% dm,dev/tcpo/b
%dm,dev/tcpo/c% dm,dev/tcpo/c
%dm,dev/tcpo/d% dm,dev/tcpo/d
%dm,dev/tcpo/e% dm,dev/tcpo/e
%/par/net/tcpo/port% set,/par/net/tcpo/port,8010
"
puts [sendBlock $commands]

puts "Setup Server..."
set commands "
%/par/net/tcp/port% set,/par/net/tcp/port,8002
%/par/net/tcp/timeout% set,/par/net/tcp/timeout,600
%/par/net/tcp/tls% set,/par/net/tcp/tls,off
%/par/net/tcpo/port% set,/par/net/tcpo/port,8010
%/par/net/tcpo/timeout% set,/par/net/tcpo/timeout,600
%/par/net/passwd% set,/par/net/passwd,\"Apple\"
%/par/net/http/port% set,/par/net/http/port,80
%/par/net/http/timeout% set,/par/net/http/timeout,10
%/par/net/http/tls% set,/par/net/http/tls,off
%/par/net/ntp/port% set,/par/net/ntp/port,123
"
puts [sendBlock $commands]

puts "Setup Client..."
set commands "
%/par/net/tcpcl/mode% set,/par/net/tcpcl/mode,off
%/par/net/tcpcl/timeout% set,/par/net/tcpcl/timeout,60
%/par/net/tcpcl/rcv/name% set,/par/net/tcpcl/rcv/name,\"\"
%/par/net/tcpcl/rcv/addr% set,/par/net/tcpcl/rcv/addr,0.0.0.0
%/par/net/tcpcl/rcv/port% set,/par/net/tcpcl/rcv/port,0
%/par/net/tcpcl/rcv/login% set,/par/net/tcpcl/rcv/login,\"\"
%/par/net/tcpcl/rcv/passwd% set,/par/net/tcpcl/rcv/passwd,\"\"
%/par/net/tcpcl/rcv/raw% set,/par/net/tcpcl/rcv/raw,off
%/par/net/tcpcl/ntrip/name% set,/par/net/tcpcl/ntrip/name,\"\"
%/par/net/tcpcl/ntrip/addr% set,/par/net/tcpcl/ntrip/addr,0.0.0.0
%/par/net/tcpcl/ntrip/port% set,/par/net/tcpcl/ntrip/port,0
%/par/net/tcpcl/ntrip/user% set,/par/net/tcpcl/ntrip/user,\"\"
%/par/net/tcpcl/ntrip/passwd% set,/par/net/tcpcl/ntrip/passwd,\"\"
%/par/net/tcpcl/ntrip/mountpt% set,/par/net/tcpcl/ntrip/mountpt,\"\"
%/par/net/tcpcl/ntrip/nmea% set,/par/net/tcpcl/ntrip/nmea,0
%/par/net/tcpcl/ntrips/host% set,/par/net/tcpcl/ntrips/host,\"\"
%/par/net/tcpcl/ntrips/addr% set,/par/net/tcpcl/ntrips/addr,0.0.0.0
%/par/net/tcpcl/ntrips/port% set,/par/net/tcpcl/ntrips/port,0
%/par/net/tcpcl/ntrips/user% set,/par/net/tcpcl/ntrips/user,\"\"
%/par/net/tcpcl/ntrips/passwd% set,/par/net/tcpcl/ntrips/passwd,\"\"
%/par/net/tcpcl/ntrips/mountpt% set,/par/net/tcpcl/ntrips/mountpt,\"\"
%/par/net/tcpcl/ntrips/ver% set,/par/net/tcpcl/ntrips/ver,1
%/par/net/tcpcl/sisnet/name% set,/par/net/tcpcl/sisnet/name,\"\"
%/par/net/tcpcl/sisnet/addr% set,/par/net/tcpcl/sisnet/addr,0.0.0.0
%/par/net/tcpcl/sisnet/passwd% set,/par/net/tcpcl/sisnet/passwd,\"\"
%/par/net/tcpcl/sisnet/port% set,/par/net/tcpcl/sisnet/port,0
%/par/net/tcpcl/sisnet/user% set,/par/net/tcpcl/sisnet/user,\"\"
"
puts [sendBlock $commands]

puts "Setup PPP..."
set commands "
%/par/net/ppp/route% set,/par/net/ppp/route,on
%/par/net/ppp/debug% set,/par/net/ppp/debug,off
%/par/net/ppp/auth/pap% set,/par/net/ppp/auth/pap,on
%/par/net/ppp/auth/chap% set,/par/net/ppp/auth/chap,on
%/par/net/ppp/comp/vj% set,/par/net/ppp/comp/vj,off
%/par/net/ppp/comp/vjc% set,/par/net/ppp/comp/vjc,off
"
puts [sendBlock $commands]

puts "Setup Modems..."
set commands "
%/par/modem/b/mode% set,/par/modem/b/mode,off
%/par/modem/b/port% set,/par/modem/b/port,/dev/blt/b
%/par/modem/b/uhf/link/pwr% set,/par/modem/b/uhf/link/pwr,30
%/par/modem/b/uhf/link/freq% set,/par/modem/b/uhf/link/freq,440000000
%/par/modem/b/uhf/link/prot% set,/par/modem/b/uhf/link/prot,simrx
%/par/modem/b/uhf/link/csign% set,/par/modem/b/uhf/link/csign,\"\"
%/par/modem/b/uhf/scan/freq/start% set,/par/modem/b/uhf/scan/freq/start,406000000
%/par/modem/b/uhf/scan/freq/stop% set,/par/modem/b/uhf/scan/freq/stop,470000000
%/par/modem/b/uhf/scan/freq/step% set,/par/modem/b/uhf/scan/freq/step,12500
%/par/modem/b/uhf/scan/mode% set,/par/modem/b/uhf/scan/mode,scan
%/par/modem/b/uhf/scan/timeout% set,/par/modem/b/uhf/scan/timeout,1500
%/par/modem/b/uhf/link/protst/sim/mod% set,/par/modem/b/uhf/link/protst/sim/mod,dqpsk
%/par/modem/b/uhf/link/protst/sim/space% set,/par/modem/b/uhf/link/protst/sim/space,25000
%/par/modem/b/uhf/link/protst/sim/scr% set,/par/modem/b/uhf/link/protst/sim/scr,255
%/par/modem/b/uhf/link/protst/sim/fec% set,/par/modem/b/uhf/link/protst/sim/fec,on
%/par/modem/b/uhf/link/protst/sim/mode/base/rtrnum% set,/par/modem/b/uhf/link/protst/sim/mode/base/rtrnum,0
%/par/modem/b/uhf/link/protst/sim/mode/rover/source% set,/par/modem/b/uhf/link/protst/sim/mode/rover/source,auto
%/par/modem/b/uhf/link/protst/sim/mode/rtr/echo% set,/par/modem/b/uhf/link/protst/sim/mode/rtr/echo,a
%/par/modem/b/uhf/link/protst/tmo/mod% set,/par/modem/b/uhf/link/protst/tmo/mod,gmsk
%/par/modem/b/uhf/link/protst/tmo/space% set,/par/modem/b/uhf/link/protst/tmo/space,25000
%/par/modem/b/uhf/link/protst/tmo/scr% set,/par/modem/b/uhf/link/protst/tmo/scr,255
%/par/modem/b/uhf/link/protst/tmo/fec% set,/par/modem/b/uhf/link/protst/tmo/fec,on
%/par/modem/b/uhf/link/protst/trm/mod% set,/par/modem/b/uhf/link/protst/trm/mod,gmsk
%/par/modem/b/uhf/link/protst/trm/fec% set,/par/modem/b/uhf/link/protst/trm/fec,on
%/par/modem/b/uhf/link/protst/trm/space% set,/par/modem/b/uhf/link/protst/trm/space,25000
%/par/modem/b/uhf/link/protst/trm/scr% set,/par/modem/b/uhf/link/protst/trm/scr,255
%/par/modem/b/uhf/link/protst/tt450shw/mod% set,/par/modem/b/uhf/link/protst/tt450shw/mod,gmsk
%/par/modem/b/uhf/link/protst/tt450shw/space% set,/par/modem/b/uhf/link/protst/tt450shw/space,25000
%/par/modem/b/uhf/link/protst/trmm3/mod% set,/par/modem/b/uhf/link/protst/trmm3/mod,gmsk
%/par/modem/b/uhf/link/protst/trmm3/space% set,/par/modem/b/uhf/link/protst/trmm3/space,25000
%/par/modem/b/uhf/link/protst/trmm2/mod% set,/par/modem/b/uhf/link/protst/trmm2/mod,gmsk
%/par/modem/b/uhf/link/protst/trmm2/space% set,/par/modem/b/uhf/link/protst/trmm2/space,25000
%/par/modem/b/uhf/link/protst/stl/mod% set,/par/modem/b/uhf/link/protst/stl/mod,4fsk
%/par/modem/b/uhf/link/protst/stl/space% set,/par/modem/b/uhf/link/protst/stl/space,25000
%/par/modem/b/uhf/link/protst/stl/fec% set,/par/modem/b/uhf/link/protst/stl/fec,on
%/par/modem/b/uhf/link/protst/stl/clkcrr% set,/par/modem/b/uhf/link/protst/stl/clkcrr,on
%/par/modem/b/uhf/link/protst/stl/cmpt% set,/par/modem/b/uhf/link/protst/stl/cmpt,3as
%/par/modem/b/fh/link/zone% set,/par/modem/b/fh/link/zone,usa
%/par/modem/b/fh/scan/freq/start% set,/par/modem/b/fh/scan/freq/start,900000000
%/par/modem/b/fh/scan/freq/stop% set,/par/modem/b/fh/scan/freq/stop,930000000
%/par/modem/b/fh/scan/freq/step% set,/par/modem/b/fh/scan/freq/step,10000
%/par/modem/b/fh/link/usa/pwr% set,/par/modem/b/fh/link/usa/pwr,30
%/par/modem/b/fh/link/usa/prot% set,/par/modem/b/fh/link/usa/prot,simrx
%/par/modem/b/fh/link/usa/frule% set,/par/modem/b/fh/link/usa/frule,0
%/par/modem/b/fh/link/usa/protst/sim/mod% set,/par/modem/b/fh/link/usa/protst/sim/mod,gmsk
%/par/modem/b/fh/link/usa/protst/sim/scr% set,/par/modem/b/fh/link/usa/protst/sim/scr,1
%/par/modem/b/fh/link/usa/protst/sim/fec% set,/par/modem/b/fh/link/usa/protst/sim/fec,cnv
%/par/modem/b/fh/link/eu/pwr% set,/par/modem/b/fh/link/eu/pwr,27
%/par/modem/b/fh/link/eu/rfreq% set,/par/modem/b/fh/link/eu/rfreq,869000000
%/par/modem/b/fh/link/eu/tfreq% set,/par/modem/b/fh/link/eu/tfreq,869000000
%/par/modem/b/fh/link/eu/prot% set,/par/modem/b/fh/link/eu/prot,simrx
%/par/modem/b/fh/link/eu/protst/sim/mod% set,/par/modem/b/fh/link/eu/protst/sim/mod,gmsk
%/par/modem/b/fh/link/eu/protst/sim/scr% set,/par/modem/b/fh/link/eu/protst/sim/scr,1
%/par/modem/b/fh/link/eu/protst/sim/fec% set,/par/modem/b/fh/link/eu/protst/sim/fec,cnv
%/par/modem/b/fh/link/eu/protst/sim/space% set,/par/modem/b/fh/link/eu/protst/sim/space,25000
%/par/net/ppp/gprs/dial% set,/par/net/ppp/gprs/dial,\"*99***1#\"
%/par/net/ppp/gprs/user% set,/par/net/ppp/gprs/user,\"\"
%/par/net/ppp/gprs/passwd% set,/par/net/ppp/gprs/passwd,\"\"
%/par/net/ppp/gprs/pdp/id% set,/par/net/ppp/gprs/pdp/id,1
%/par/net/ppp/gprs/pdp/apn% set,/par/net/ppp/gprs/pdp/apn,\"\"
"
puts [sendBlock $commands]

puts "Setup Multipath Reduction..."
set commands "
%/par/raw/corr/ca/code% set,/par/raw/corr/ca/code,mpnew
%/par/raw/corr/ca/carrier% set,/par/raw/corr/ca/carrier,mpnew
"
puts [sendBlock $commands]

puts "Setup Loop Management..."
set commands "
%/par/raw/cll/band% set,/par/raw/cll/band,3.0
%/par/raw/cll/order% set,/par/raw/cll/order,1
%/par/raw/cll/guid% set,/par/raw/cll/guid,100
%/par/raw/clls/band% set,/par/raw/clls/band,3.0
%/par/raw/clls/order% set,/par/raw/clls/order,1
%/par/raw/clls/guid% set,/par/raw/clls/guid,100
%/par/raw/clls/pllguid% set,/par/raw/clls/pllguid,0
%/par/raw/gdclls/band% set,/par/raw/gdclls/band,3.0
%/par/raw/gdclls/order% set,/par/raw/gdclls/order,1
%/par/raw/gdclls/guid% set,/par/raw/gdclls/guid,100
%/par/raw/gdclls/pllguid% set,/par/raw/gdclls/pllguid,0
%/par/raw/pll/band% set,/par/raw/pll/band,25.0
%/par/raw/pll/order% set,/par/raw/pll/order,3
%/par/raw/plls/band% set,/par/raw/plls/band,3.0
%/par/raw/plls/order% set,/par/raw/plls/order,1
%/par/raw/plls/guid% set,/par/raw/plls/guid,100
%/par/raw/gdplls/band% set,/par/raw/gdplls/band,3.0
%/par/raw/gdplls/order% set,/par/raw/gdplls/order,1
%/par/raw/gdplls/guid% set,/par/raw/gdplls/guid,100
"
puts [sendBlock $commands]

puts "Setup Raw Data Management..."
set commands "
%/par/raw/msint% set,/par/raw/msint,100
%/par/pos/msint% set,/par/pos/msint,100
%/par/raw/smi% set,/par/raw/smi,100
%/par/raw/iono/smi% set,/par/raw/iono/smi,60
%/par/raw/iono/minsmi% set,/par/raw/iono/minsmi,30
%/par/raw/dopp/smi% set,/par/raw/dopp/smi,3.0
%/par/raw/dopp/smsm% set,/par/raw/dopp/smsm,off
"
puts [sendBlock $commands]

puts "Setup Asic parameters..."
set commands "
%/par/asic/frq% set,/par/asic/frq,60.0
"
puts [sendBlock $commands]

puts "Script finished"
